groovy.lang

## Class Tuple6<T1,T2,T3,T4,T5,T6>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - groovy.lang.Tuple
      - - groovy.lang.Tuple6<T1,T2,T3,T4,T5,T6>

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.List

      public class Tuple6<T1,T2,T3,T4,T5,T6>
      extends Tuple

  Represents a list of 6 typed Objects.
  Since:
    2.5.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple6(T1 first, T2 second, T3 third, T4 fourth, T5 fifth, T6 sixth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `get(int index)`
    `T5` | `getFifth()`
    `T1` | `getFirst()`
    `T4` | `getFourth()`
    `T2` | `getSecond()`
    `T6` | `getSixth()`
    `T3` | `getThird()`
    `int` | `size()`

    - ### Methods inherited from class groovy.lang.Tuple

      `equals, hashCode, subList, subTuple`

    - ### Methods inherited from class java.util.AbstractList

      `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### Tuple6

          public Tuple6(T1 first,
                        T2 second,
                        T3 third,
                        T4 fourth,
                        T5 fifth,
                        T6 sixth)

  - ### Method Detail

    - #### get

          public java.lang.Object get(int index)

      Specified by:
        `get` in interface `java.util.List`
      Overrides:
        `get` in class `Tuple`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection`
      Specified by:
        `size` in interface `java.util.List`
      Overrides:
        `size` in class `Tuple`

    - #### getFirst

          public T1 getFirst()

    - #### getSecond

          public T2 getSecond()

    - #### getThird

          public T3 getThird()

    - #### getFourth

          public T4 getFourth()

    - #### getFifth

          public T5 getFifth()

    - #### getSixth

          public T6 getSixth()